diff -Naur Doomsday Data Files.old/db/events/coups_hoi2.txt Doomsday Data Files/db/events/coups_hoi2.txt
--- Doomsday Data Files.old/db/events/coups_hoi2.txt	2008-01-20 10:40:40.000000000 +0100
+++ Doomsday Data Files/db/events/coups_hoi2.txt	2008-01-20 10:49:03.000000000 +0100
@@ -1433,89 +1433,6 @@
 	}
 
 
-### HUNGARY
-
-event = {
-	id = 182
-	random = no
-	country = HUN
-	style = 0
-
-	trigger = {
-		alliance = { country = GER country = HUN }
-		war = { country = GER country = SOV }
-		war = { country = HUN country = SOV }
-		control = { province = 485 data = SOV }
-		}
-
-	name = "EVT_111_NAME"
-	desc = "EVT_111_DESC"
-	picture = "coup"
-
-	date = { day = 1 month = august year = 1944 }
-	offset = 10
-	deathdate = { day = 30 month = october year = 1944 }
-
-	action_a = {
-		name = "OK"
-		command = { type = set_domestic which = democratic value = 3 }
-		command = { type = set_domestic which = political_left value = 3 }
-		command = { type = headofstate which = 21001 }
-		command = { type = headofgovernment which = 21058 }
-		command = { type = foreignminister which = 21072 }
-		command = { type = armamentminister which = 21085 }
-		command = { type = ministerofsecurity which = 21103 }
-		command = { type = ministerofintelligence which = 21120 }
-		command = { type = chiefofstaff which = 21133 }
-		command = { type = chiefofarmy which = 21144 }
-		command = { type = chiefofnavy which = 21009 }
-		command = { type = chiefofair which = 21162 }
-		command = { type = dissent value = -1 }
-		}
-	}
-
-
-event = {
-	id = 183
-	random = no
-	country = HUN
-	style = 0
-
-	trigger = {
-		alliance = { country = GER country = HUN }
-		war = { country = GER country = SOV }
-		war = { country = HUN country = SOV }
-		control = { province = 497 data = SOV }
-		minister = 21001
-		}
-
-	name = "EVT_110_NAME"
-	desc = "EVT_110_DESC"
-	picture = "coup"
-
-	date = { day = 1 month = november year = 1944 }
-	offset = 39
-	deathdate = { day = 30 month = december year = 1946 }
-
-	action_a = {
-		name = "OK"
-		command = { type = set_domestic which = democratic value = 1 }
-		command = { type = set_domestic which = political_left value = 1 }
-		command = { type = headofstate which = 21041 }
-		command = { type = headofgovernment which = 21052 }
-		command = { type = foreignminister which = 21067 }
-		command = { type = armamentminister which = 21082 }
-		command = { type = ministerofsecurity which = 21095 }
-		command = { type = ministerofintelligence which = 21116 }
-		command = { type = chiefofstaff which = 21129 }
-		command = { type = chiefofarmy which = 21140 }
-		command = { type = chiefofnavy which = 21151 }
-		command = { type = chiefofair which = 21159 }
-		command = { type = dissent value = -1 }
-		}
-	}
-
-
 ### ITALY
 
 event = {
diff -Naur Doomsday Data Files.old/db/events/hungary.txt Doomsday Data Files/db/events/hungary.txt
--- Doomsday Data Files.old/db/events/hungary.txt	2008-01-20 10:40:40.000000000 +0100
+++ Doomsday Data Files/db/events/hungary.txt	2008-01-20 10:49:03.000000000 +0100
@@ -22,6 +22,7 @@
 		command = { type = dissent value = -5 }
 		command = { type = relation which = SLO value = 5 }
 		command = { type = relation which = GER value = 5 }
+                command = { type = trigger which = 2741 }
 	}
 }
 #########################################################################
@@ -41,6 +42,7 @@
 		name = "OK"
 		command = { type = dissent value = -20 }
 		command = { type = relation which = GER value = 10 }
+                command = { type = sleepevent which = 2741 }
 	}
 }
 #########################################################################
@@ -60,6 +62,7 @@
 		name = "OK"
 		command = { type = dissent value = 10 }
 		command = { type = relation which = CZE value = -15 }
+                command = { type = sleepevent which = 2741 }
 	}
 }
 #########################################################################
@@ -168,7 +171,6 @@
 #		command = { type = alliance which = GER } # Alliance with Germany if not already
 	}
 }
-
 #########################################################################################
 # M-R Pact effects copy to ensure HUN doesn't keep any conquests were promised to SOV
 
@@ -188,7 +190,7 @@
 		name = "ACTIONNAME2018A" # Honor the Pact
 		command = { type = secedeprovince which = SOV value = 500 }
 		command = { type = secedeprovince which = SOV value = 501 }
-		command = { type = secedeprovince which = SOV value = 502 }
+		command = { type = secedeprovince which = SOV value = 502 } 
 		command = { type = secedeprovince which = SOV value = 503 }
 		command = { type = secedeprovince which = SOV value = 504 }
 		command = { type = secedeprovince which = SOV value = 505 }
@@ -206,7 +208,6 @@
 		command = { type = secedeprovince which = SOV value = 208 }
 	        }
 }
-
 #########################################################################
 #  Hungary exploits the situation
 #########################################################################
@@ -281,7 +282,6 @@
 		command = { type = sleepevent which = 2726 }
 	}
 }
-
 #########################################################################
 #  Hungary Victorious - Hungary involved
 #########################################################################
@@ -310,7 +310,6 @@
 		command = { type = dissent value = -20 }
 	}
 }
-
 #########################################################################
 #  Hungary Defeated - Hungary involved
 #########################################################################
